<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

<!--    <com.tencent.rtmp.ui.TXCloudVideoView-->
<!--        android:id="@+id/video_view_anchor"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent" />-->

    <androidx.camera.view.PreviewView
        android:id="@+id/viewFinder"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <Button
        android:id="@+id/btn_close_before_live"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_alignParentRight="true"
        android:layout_marginTop="35dp"
        android:layout_marginEnd="15dp"
        android:layout_marginRight="15dp"
        android:background="@drawable/trtcliveroom_btn_close" />

    <Button
        android:id="@+id/btn_switch_camera"
        android:layout_width="52dp"
        android:layout_height="52dp"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="35dp"
        android:background="@drawable/trtcliveroom_icon_switch_camera_on" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="25dp">

        <FrameLayout
            android:id="@+id/fl_start"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/btn_start_room"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@drawable/trtcliveroom_bg_start_live_button_border"
                android:text="开始直播"
                android:textColor="#fff"
                android:textSize="18sp" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_end"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/btn_end_room"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@drawable/trtcliveroom_bg_end_live_button_border"
                android:text="结束直播"
                android:textColor="#fff"
                android:textSize="18sp" />

        </FrameLayout>
    </LinearLayout>


</RelativeLayout>